<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.4 at 2019-11-26 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>debian-maven-plugin - Debian Maven Plugin :: Changelog</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20191126" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                    <div id="bannerLeft">
                Debian Maven Plugin
                </div>
                    <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
                    
                <div class="xleft">
        <span id="publishDate">Last Published: 2019-11-26</span>
                  &nbsp;| <span id="projectVersion">Version: 1.0.20</span>
                      </div>
            <div class="xright">        
                    
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
                    
                                <h5>Overview</h5>
                  <ul>
                  <li class="none">
                          <a href="index.html" title="Introduction">Introduction</a>
            </li>
                  <li class="none">
                          <a href="goals.html" title="Goals">Goals</a>
            </li>
                  <li class="none">
                          <a href="usage.html" title="Usage">Usage</a>
            </li>
                  <li class="none">
            <strong>Changelog</strong>
          </li>
                  <li class="none">
                          <a href="contact.html" title="Contact">Contact</a>
            </li>
          </ul>
                       <h5>Project Documentation</h5>
                  <ul>
                                                                                                        <li class="collapsed">
                          <a href="project-info.html" title="Project Information">Project Information</a>
                  </li>
                                                                                      <li class="collapsed">
                          <a href="project-reports.html" title="Project Reports">Project Reports</a>
                  </li>
          </ul>
                             <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
                    
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section">
<h2>Changelog<a name="Changelog"></a></h2>
<div class="section">
<h3>1.0.20<a name="a1.0.20"></a></h3>
<ul>
<li>the current artifact now gets included as well: this artifact's scope is <tt>null</tt> and was therefore excluded since the set generated from <tt>includedScope</tt> does not contain <tt>null</tt>.</li></ul></div>
<div class="section">
<h3>1.0.19<a name="a1.0.19"></a></h3>
<ul>
<li>added <tt>includeScope</tt> and <tt>excludeScope</tt> properties to fine-tune the scope of artifacts to include.</li></ul></div>
<div class="section">
<h3>1.0.18<a name="a1.0.18"></a></h3>
<ul>
<li>using <tt>simple-maven-file-filtering</tt> library now for file filtering.</li></ul></div>
<div class="section">
<h3>1.0.17<a name="a1.0.17"></a></h3>
<ul>
<li>copying of resources no longer fails if parent directory of output exists, e.g., when copying a script into <tt>target/deb/usr/bin</tt> when <tt>target/deb/usr/bin</tt> does not exist yet.</li></ul></div>
<div class="section">
<h3>1.0.16<a name="a1.0.16"></a></h3>
<ul>
<li><tt>useDefaultCopyResources</tt> now works with multi-module projects as well (<a class="externalLink" href="https://github.com/fracpete/debian-maven-plugin/issues/1">https://github.com/fracpete/debian-maven-plugin/issues/1</a>)</li></ul></div>
<div class="section">
<h3>1.0.15<a name="a1.0.15"></a></h3>
<ul>
<li>improved/fixed logging output related to file filtering.</li></ul></div>
<div class="section">
<h3>1.0.14<a name="a1.0.14"></a></h3>
<ul>
<li>when <tt>useDefaultCopyResources</tt> is enabled but <tt>src/deb/resources</tt> does not exist, then a warning is output rather than failing with an exception when attempting to copy (<a class="externalLink" href="https://github.com/fracpete/debian-maven-plugin/issues/3">https://github.com/fracpete/debian-maven-plugin/issues/3</a>).</li></ul></div>
<div class="section">
<h3>1.0.13<a name="a1.0.13"></a></h3>
<ul>
<li>added support for file filtering (ie replacing of variables in text files), disabled by default (<a class="externalLink" href="https://github.com/fracpete/debian-maven-plugin/issues/2">https://github.com/fracpete/debian-maven-plugin/issues/2</a>).</li></ul></div>
<div class="section">
<h3>1.0.12<a name="a1.0.12"></a></h3>
<ul>
<li>attached artifacts are now subjected to checks against includes/excludes as well.</li>
<li>added support for copying resources (directories or files) directly, without having to rely on the <tt>copy-resources</tt> goal of <tt>maven-resources-plugin</tt>. this is achieve with the <tt>useDefaultCopyResources</tt> and <tt>copyResources</tt> parameters.</li>
<li>added support for fixing file permissions directly rather than relying the <tt>chmod</tt> task of the <tt>maven-antrun-plugin</tt> plugin. this is achieve by using the <tt>useDefaultFixPermissions</tt> and <tt>fixPermissions</tt> parameters.</li>
<li>added <tt>skip</tt> parameter, which can be used in top-level pom modules of multi-module projects to skip the execution of the plugin.</li></ul></div>
<div class="section">
<h3>1.0.11<a name="a1.0.11"></a></h3>
<ul>
<li>introduced <tt>libDirectory</tt> parameter, to allow changing the directory with the jars; default is <tt>/usr/lib/{PKGNAME}</tt>, but one can change it to <tt>/opt/{PKGNAME}/lib</tt> with this parameter.</li>
<li>introduced <tt>docDirectory</tt> parameter, to allow changing the directory with the documentation; default is <tt>/usr/share/doc/{PKGNAME}</tt>, but one can change it to <tt>/opt/{PKGNAME}/doc</tt> with this parameter.</li>
<li>introduced <tt>manDirectory</tt> parameter, to allow changing the directory with the man pages; default is <tt>/usr/share/man</tt>, but one can change it to <tt>/opt/{PKGNAME}/man</tt> with this parameter.</li>
<li>introduced <tt>createSymLinks</tt> parameter, to allow turning off symbolic link generation for jar files (without the artifact version).</li>
<li>introduced <tt>createIncludeFiles</tt> parameter, to allow turning off creation of .inc files for artifacts.</li></ul></div>
<div class="section">
<h3>1.0.10<a name="a1.0.10"></a></h3>
<ul>
<li>changed directory for jars from <tt>usr/share/lib/PKGNAME</tt> to <tt>usr/lib/PKGNAME</tt></li></ul></div>
<div class="section">
<h3>1.0.9<a name="a1.0.9"></a></h3>
<ul>
<li>fixed <tt>NullPointerException</tt> when not supplying any regular expressions for excluding artifacts</li></ul></div>
<div class="section">
<h3>1.0.8<a name="a1.0.8"></a></h3>
<ul>
<li>switched from <i>org.apache.commons:commons-exec</i> to <i>com.github.fracpete:processoutput4j</i> to handle paths with blanks when executing the Debian package tools</li></ul></div>
<div class="section">
<h3>1.0.7<a name="a1.0.7"></a></h3>
<ul>
<li>forked <a class="externalLink" href="http://debian-maven.sourceforge.net">http://debian-maven.sourceforge.net</a> project</li>
<li>documentation is now available at <a class="externalLink" href="https://fracpete.github.io/debian-maven-plugin/">https://fracpete.github.io/debian-maven-plugin/</a></li>
<li>added <i>excludeArtifactsRegExp</i> parameter to allow matching of artifacts via regular expressions</li></ul></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;                   2012-2019.
          All Rights Reserved.      
                    
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
